Package com.ads.mm.db.dao

# Enum Class DBTable.EntityBaseType

java.lang.Object
java.lang.Enum<DBTable.EntityBaseType>
com.ads.mm.db.dao.DBTable.EntityBaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<DBTable.EntityBaseType>`, `Constable`

Enclosing class:
  DBTable

public static enum DBTable.EntityBaseType extends Enum<DBTable.EntityBaseType>
These constants are used to specify ENTITY, ENTITY_ROOT, ENTITY_ELEMENT, ENTITY_ATTRIBUTE.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENTITY`
  ENTITY EntityBaseType is used to refer, when the node we access is a Table.
  `ENTITY_ATTRIBUTE`
  ENTITY_ATTRIBUTE EntityBaseType is used to refer, when the node we access is a Column.
  `ENTITY_ELEMENT`
  ENTITY_ELEMENT EntityBaseType is used to refer, when the node we access is a Column and in turn which itself is a Table.
  `ENTITY_ROOT`
  ENTITY_ROOT EntityBaseType is used to refer, when the node we access is a Root or ParentTable.
  `FIELD`
  FIELD EntityBaseType is used to refer, when the node we access is a Column in ETL Environment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DBTable.EntityBaseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DBTable.EntityBaseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENTITY

    public static final DBTable.EntityBaseType ENTITY
    ENTITY EntityBaseType is used to refer, when the node we access is a Table.

  - ### ENTITY_ROOT

    public static final DBTable.EntityBaseType ENTITY_ROOT
    ENTITY_ROOT EntityBaseType is used to refer, when the node we access is a Root or ParentTable.

  - ### ENTITY_ELEMENT

    public static final DBTable.EntityBaseType ENTITY_ELEMENT
    ENTITY_ELEMENT EntityBaseType is used to refer, when the node we access is a Column and in turn which itself is a Table.

  - ### ENTITY_ATTRIBUTE

    public static final DBTable.EntityBaseType ENTITY_ATTRIBUTE
    ENTITY_ATTRIBUTE EntityBaseType is used to refer, when the node we access is a Column.

  - ### FIELD

    public static final DBTable.EntityBaseType FIELD
    FIELD EntityBaseType is used to refer, when the node we access is a Column in ETL Environment.

- ## Method Details

  - ### values

    public static DBTable.EntityBaseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DBTable.EntityBaseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null